-- Default configuration (C) 2011 Michael

BurnIt.defaultDB= {
	
	Groups= {
		[1]= {
			point = "CENTER", relPoint = "CENTER",	offX= -75, offY= -125, scale=1,  hiddenOOC= true,
			bar= {
				MageSpec = "fire",
				width= 140,
				height= 16,
				font= STANDARD_TEXT_FONT,
				fontSize = 10,	
				fontColor= {1,1,1,1},
				color= { 1,0,0,1 },
				texture="Interface\\Addons\\BurnIt\\media\\gradient32x32",
				bgColor= { 0.3, 0.3, 0.3, 0.75 },
				bgTexture= "Interface\\Addons\\BurnIt\\media\\gradient32x32",
			},
		},
		[2]= {
			point = "CENTER", relPoint = "CENTER",	offX= 75, offY= -125, scale=1, hiddenOOC= true,
			bar= {
				width= 140,
				height= 16,
				font= STANDARD_TEXT_FONT,
				fontSize = 10,			
				fontColor= {1,1,1,1},
				color= { 1,0,0,1 },
				texture="Interface\\Addons\\BurnIt\\media\\gradient32x32",
				bgColor= { 0.3, 0.3, 0.3, 0.75 },
				bgTexture= "Interface\\Addons\\BurnIt\\media\\gradient32x32",
			},
		},
		[3] = {
			point = "CENTER", relPoint = "CENTER",	offX= -225, offY= -125, scale=1,  hiddenOOC= true,
			bar= {
				MageSpec = "arcane",
				width= 140,
				height= 16,
				font= STANDARD_TEXT_FONT,
				fontSize = 10,	
				fontColor= {1,1,1,1},
				color= { 1,0,0,1 },
				texture="Interface\\Addons\\BurnIt\\media\\gradient32x32",
				bgColor= { 0.3, 0.3, 0.3, 0.75 },
				bgTexture= "Interface\\Addons\\BurnIt\\media\\gradient32x32",
			},
		}
	},
	
	Auras= {
		-- Critical Mass & Shadow Mastery
		[1]= { 
			handler= "MultipleAura",
			auraType= "DEBUFF",
			destUnit= "target",
			spells = {22959,17800},
			bars= {	[1]= { group=1, position=1, visible= true, color={81/255,98/255,214/255,1}, color2={0,0.75,0.25,1} } },
			
		},
		-- Living bombs
		[2]= { 
			handler= "LivingBomb",
			auraType= "DEBUFF",
			castByMe= true,
			spells = {44457},
			alpha = 0.6,
			bars= {	
				[1]= {  group=1, position=2,     visible= true,  color={1,0,0,1} },
				[2]= {  group=1, position=100.1, visible= false, color={0.5,0,0,1} }, 
				[3]= {  group=1, position=100.2, visible= false, color={0.5,0,0,1} }, 
				[4]= {  group=1, position=100.3, visible= false, color={0.5,0,0,1} }, 
				[5]= {  group=1, position=100.4, visible= false, color={0.5,0,0,1} }, 
			},
		},
		-- Ignite
		[3]= { 
			handler= "IgniteAura",
			auraType= "DEBUFF",
			castByMe= true,
			destUnit= "target",
			spells = {12654},
			dots= true,
			bars= {	[1]= { group=1, position=3, visible= true, color={1,0,0,1} } },	
		},
		-- Pyro & Pyro! Dots
		[4]= { 
			handler= "CommonAura",
			auraType= "DEBUFF",
			castByMe= true,
			destUnit= "target",
			spells = {92315,11366},
			dots= true,
			bars= {	[1]= { group=1, position=4, visible= true, color={1,0,0,1} } },	
		},
		-- Combustion Dot
		[5]= { 
			handler= "CommonAura",
			auraType= "DEBUFF",
			castByMe= true,
			destUnit= "target",
			spells = {83853},
			dots= true,
			bars= {	[1]= { group=1, position=5, visible= true, color={1,0.75,0,1} } },
		},
		-- Cauterize
		[6]= { 
			handler= "CooldownAura",
			auraType= "DEBUFF",
			destUnit= "player",
			spells = {87023},
			cooldown= 30,
			bars= {	
				[1]= { group=2, position=1, visible= false, color={1,0,0.75,1} },
				[2]= { group=2, position=1, visible= false, color={1,0.6,0,1} },
			},
		},
		-- Mirror image
		[7]= { 
			handler= "HiddenAura",
			auraType= "BUFF",
			destUnit= "player",
			spells = {55342},
			duration= 30,
			bars= {	[1]= { group=2, position=1, visible= false, color={0,0.75,1,1} } },
		},
		-- Impact
		[8]= { 
			handler= "CommonAura",
			auraType= "BUFF",
			destUnit= "player",
			spells = {64343},
			bars= {	[1]= { group=2, position=1, visible= false, color={1,0.55,0.2,1} } },
		},
		-- HotStreak
		[9]= { 
			handler= "CommonAura",
			auraType= "BUFF",
			destUnit= "player",
			spells = {48108},
			bars= {	[1]= { group=2, position=1, visible= false, color={1,0.2,0,1} } },
		},
		-- Polymorph
		[10]= {
			handler= "Polymorph",
			auraType= "DEBUFF",
			castByMe= true,
			spells = {118,28271,28272,61025,61305,61721,61780},
			duration= 50,
			bars= {	[1]= { group=2, position=1, visible= false, color={0.8,0.8,0.8,1} } },	
		},
		-- FlameStrike
		[11]= {
			handler= "FlameStrike",
			auraType= "DEBUFF",
			castByMe= true,
			spells = {2120},
			duration= 8,
			bars= {	[1]= { group=1, position=101.1, visible= false, color={1,0.3,0,1} } },	
		},
		-- Improved FlameStrike
		[12]= {
			handler= "FlameStrike",
			auraType= "DEBUFF",
			castByMe= true,
			spells = {88148},
			duration= 8,
			suffix= "+",
			bars= {	[1]= { group=1, position=101.1, visible= false, color={1,0.3,0,1} } },	
		},
		-- IceBlock
		[13]= { 
			handler= "CommonAura",
			auraType= "BUFF",
			destUnit= "player",
			spells = {45438},
			bars= {	[1]= { group=2, position=1, visible= false, color={0.7,0.7,1,1} } },	
		},
		-- Arcane Blast
		[14]= { 
			handler= "ArcaneBlastAura",
			auraType= "DEBUFF",
			destUnit = "player",
			castByMe= true,
			spells = {36032},
			bars= {	[1]= { group=3, position=1, visible= false, hasStack = true, color={0.7,0.7,1,1} } },
		},
		-- Misiles arcanos
		[15]= { 
			handler= "CommonAura",
			auraType= "BUFF",
			destUnit= "player",
			spells = {79683},
			bars= {	[1]= { group=3, position=2, visible= false, color={0.25,0.40,1,1} } },	
		},
		-- Lanzamiento libre
		[16]= { 
			handler= "CommonAura",
			auraType= "BUFF",
			destUnit= "player",
			spells = {12536},
			bars= {	[1]= { group=2, position=1, visible= false, color={0,0.28,1,1} } },	
		},
	},
	
 }
