﻿--[[ 
Copyright (C) 2011 Michael

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
]]

BurnIt= {}

local Addon= BurnIt

--{{ Options stuff
local LoadOptions= function()
	if not IsAddOnLoaded("BurnItOptions") then
		LoadAddOn("BurnItOptions")
		if not BurnItOptions then 
			print("You need the BurnIt Options addon available to be able to configure BurnIt.")
			return
		end	
		BurnItOptions:Initialize()
	end
	LoadOptions= function() return true end
	return true
end

local OnChatCommand= function(msg)
	if LoadOptions() then
		BurnItOptions:OnChatCommand(msg)
	end
end
--}}}

--{{{ Initialization 
Addon.MainFrame= CreateFrame("Frame")
Addon.MainFrame:RegisterEvent("PLAYER_LOGIN")
Addon.MainFrame:SetScript("OnEvent", function(frame)

	frame:UnregisterAllEvents()
	frame:SetScript("OnEvent", nil)
	if select(2, UnitClass("player")) ~= "MAGE" then frame:Hide() return end

	-- Load configuration from savedvariables
	if not BurnItDB then
		BurnItDB= BurnIt.defaultDB
	end
	BurnIt.defaultDB= nil
	Addon.db= BurnItDB
	
	-- Create Blizzard addon options category
	local optionsFrame= CreateFrame( "Frame", nil, UIParent )
	optionsFrame.name = "BurnIt"
	local button = CreateFrame("Button", nil, optionsFrame, "OptionsButtonTemplate")
	button:SetPoint("CENTER")
	button:SetWidth(150)
	button:SetText("开启配置模式")
	button:SetScript("OnClick", function() OnChatCommand("") end)
	InterfaceOptions_AddCategory(optionsFrame)

	-- Create Groups
	local GroupDb= Addon.db.Groups
	for i=1,#GroupDb do
		Addon.CreateGroup(GroupDb[i])
	end

	-- Create Handlers and Bars
	local AuraDb= Addon.db.Auras
	for i=1,#AuraDb do
		local setup= AuraDb[i]
		local handler= Addon.AuraHandlers[setup.handler]
		Addon.AuraTrackerAddAura( handler(setup), setup)
	end

	-- Setup groups and bars
	local Groups= Addon.Groups
	local Bars  = Addon.Bars
	for i=1,#Bars do 
		local bar= Bars[i]
		Groups[bar.dbx.group]:AddBar(bar)
	end
	
	for i=1,#Groups do
		local group= Groups[i]
		group:Theme()
		group:Layout()
	end

	Addon:UpdateTalents()
	
	-- Enable aura tracking
	Addon.AuraTrackerEnable()
end)
--}}

--{{ Chat Command registration
SlashCmdList["BURNIT"] = OnChatCommand
SLASH_BURNIT1 = "/burnit";
--}}